Name:		recutils
Version:	1.4
Release:	1%{?dist}
Summary:	A set of tools to access GNU recfile databases

License:	GPLv3+
URL:		http://www.gnu.org/software/recutils/
Source0:	ftp://ftp.gnu.org/gnu/recutils/%{name}-%{version}.tar.gz
Source1:	rec-mode-init.el
Patch0:		recutils-shared-lib-calls-exit.patch

BuildRequires:	gettext
BuildRequires:	emacs-nox
BuildRequires:	chrpath
Requires:	emacs(bin) >= %{_emacs_version}
Requires(post): info
Requires(preun): info
Requires(post):	/sbin/ldconfig
Requires(postun):	/sbin/ldconfig

%description
Recutils is a set of tools and libraries to access human-editable,
text-based databases called recfiles. The data is stored as a sequence
of records, each record containing an arbitrary number of named
fields.

%package devel
Summary:	Libraries and header files for recutils
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries and header files for recutils


%prep
%setup -q
%patch0 -p1 -b .shared-lib-calls-exit


%build
%configure --disable-static --disable-rpath
make %{?_smp_mflags}
%{_emacs_bytecompile} etc/rec-mode.el


%check
make check


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

# install Emacs mode
install -dm 755 %{buildroot}%{_emacs_sitelispdir}
install -pm 644 etc/rec-mode.el* %{buildroot}%{_emacs_sitelispdir}
# by default, the Emacs mode is installed under datadir.
rm -f %{buildroot}%{_datadir}/rec-mode.el

# install startup file for the Emacs mode installed above
install -dm 755 %{buildroot}/%{_emacs_sitestartdir}/
install -pm 644 %{SOURCE1} %{buildroot}/%{_emacs_sitestartdir}/

rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_libdir}/*.la

chrpath --delete %{buildroot}%{_bindir}/*

%find_lang %{name}


%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/*.so.*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/recutils
%{_infodir}/*.info*
%{_emacs_sitelispdir}/*.el*
%{_emacs_sitestartdir}/*.el

%files devel
%defattr(-,root,root,-)
%{_includedir}/rec.h
%{_libdir}/*.so


%changelog
* Wed Nov  9 2011 Daiki Ueno <dueno@redhat.com> - 1.4-1
- new upstream release
- remove recutils-recfix-size-lp64.patch since it is applied in upstream

* Tue Oct 18 2011 Daiki Ueno <dueno@redhat.com> - 1.3-4
- add recutils-shared-lib-calls-exit.patch
- merge -libs subpackage into the base package

* Tue Oct 18 2011 Daiki Ueno <dueno@redhat.com> - 1.3-3
- use chrpath instead of patching libtool, so that the programs used
  in %%check can find librec.so

* Tue May 17 2011 Daiki Ueno <dueno@redhat.com> - 1.3-2
- run test suite when building

* Thu May 12 2011 Daiki Ueno <dueno@redhat.com> - 1.3-1
- initial packaging for Fedora

